Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_ConsumerAdmin Class Reference

Implements the ConsumerAdmin interface, i.e. the factory for TAO_EC_ProxyPushSupplier objects. More...

`#include <EC_ConsumerAdmin.h>`

Inheritance diagram for TAO_EC_ConsumerAdmin:

[legend]
Collaboration diagram for TAO_EC_ConsumerAdmin:

[legend]
List of all members.

## Public Methods
| TAO_EC_ConsumerAdmin (TAO_EC_Event_Channel_Base *event_channel)
virtual | ~TAO_EC_ConsumerAdmin (void)
| Destructor...

## Detailed Description

Implements the ConsumerAdmin interface, i.e. the factory for TAO_EC_ProxyPushSupplier objects.

## Memory Management

It does not assume ownership of the TAO_EC_Event_Channel_Base object; but it *does* assume ownership of the TAO_EC_ProxyPushSupplier_Set object.

## Locking

No provisions for locking, access must be serialized externally.

## Constructor & Destructor Documentation

TAO_EC_ConsumerAdmin::TAO_EC_ConsumerAdmin | ( | TAO_EC_Event_Channel_Base * | event_channel | ) |

| Constructor. Builds one using the event_channel argument. In any case it assumes ownership.

TAO_EC_ConsumerAdmin::~TAO_EC_ConsumerAdmin | ( | void |  | ) | `[virtual]`

| Destructor...

The documentation for this class was generated from the following files:

- EC_ConsumerAdmin.h
- EC_ConsumerAdmin.cpp